# Fulfillments Fulfillments are subordinate objects attached to their related order line item. Fulfillment items are subordinate objects attached to their related fulfillment. For more information, see Overview of Order Line Items. ## Create fulfillments - [POST /v1/fulfillments](https://developer.zuora.com/v1-api-reference/api/fulfillments/create_fulfillment.md): Creates one or multiple Fulfillment objects. You can also generate invoices or memos for these Fulfillment objects in this API call. The following tutorials demonstrate how to use this operation: * Create a sales order line item with fulfillments * Create a return order line item with fulfillments ## Delete a fulfillment - [DELETE /v1/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/fulfillments/delete_fulfillment.md): Deletes a specified fulfillment. A fulfillment can only be deleted when it is in the Executing state. ## Retrieve a fulfillment - [GET /v1/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/fulfillments/get_fulfillment.md): Retrieves the detailed information about a specified fulfillment. The following tutorial demonstrates how to use this operation: * View details of a fulfillment ## Update a fulfillment - [PUT /v1/fulfillments/{key}](https://developer.zuora.com/v1-api-reference/api/fulfillments/put_fulfillment.md): Updates a specified fulfillment. The state field of a fulfillment can only be updated when it is in a different state, to trigger the state transition. The other fields of a fulfillment can only be updated when the fulfillment is in the Executing state, or when the fulfillment is in the Booked state and the user has the "Allow Edit Of Booked Order Line Items" permission. The following tutorial demonstrates how to use this operation: * Update or cancel a fulfillment ## Create fulfillment items - [POST /v1/fulfillment-items](https://developer.zuora.com/v1-api-reference/api/fulfillments/create_fulfillmentitem.md): Creates one or multiple fulfillment items. ## Delete a fulfillment item - [DELETE /v1/fulfillment-items/{id}](https://developer.zuora.com/v1-api-reference/api/fulfillments/delete_fulfillmentitem.md): Deletes a specified fulfillment item. ## Retrieve a fulfillment item - [GET /v1/fulfillment-items/{id}](https://developer.zuora.com/v1-api-reference/api/fulfillments/get_fulfillmentitem.md): Retrieves the detailed information about a specified fulfillment item. ## Update a fulfillment item - [PUT /v1/fulfillment-items/{id}](https://developer.zuora.com/v1-api-reference/api/fulfillments/put_fulfillmentitem.md): Updates a specified fulfillment item.